@charset "UTF-8";
@import "satoshi.css";

:root {
  --first-color: var(--bs-primary); 	/*#FF8210 orange*/
  --second-color: var(--bs-secondary);	/*#FBC858 mimosa*/
  --third-color: rgb(186,184,108);
  --forth-color: var(--bs-light);		/*#B4F8C8 mint*/
  
  --navbar-height: 74px;
  --navbar-public-padding: 94px;
  --navbar-public-margin: -74px;
  --navbar-public-width: 250px;
  
  --collapsible-sidebar-left-width: 250px;
  --collapsible-sidebar-left-collapsed-width: 60px;
  --collapsible-sidebar-right-width: 220px;
  --collapsible-sidebar-right-collapsed-width: 50px;
  
  --bs-font-sans-serif: "Satoshi-Medium", system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

/*GLOBAL STYLES*/

/*input[disabled] {pointer-events:none}*/

body {  
	padding-top: 74px;
	overflow-x: hidden;
}

.body-public-legal {
	padding-top: var(--navbar-public-padding);	
} 

.load-indent {
	background-color: white; 
	position: absolute; 
	top: 0px; 
	left: 0px; 
	width: 100%; 
	min-height: 74px; 
	z-index: 0;
}

.inner-anchor-legal-first {
	padding-top: var(--navbar-public-padding);
	margin-top: var(--navbar-public-margin);
/*	scroll-margin-top: 74px;	*/
}

.inner-anchor-legal {
	padding-top: var(--navbar-public-padding);
	margin-top: var(--navbar-public-margin);	
}

.inner-anchor-first {
    scroll-margin-top: 74px;
/*    padding-top: 60px;*/
/*    margin-top: -40px;*/
/*	margin-top: 74px;*/
}

.inner-anchor {
	scroll-margin-top: 60px;
/*    padding-top: 60px;*/
/*    margin-top: -40px;*/
/*	margin-top: 74px;*/
}

@media (min-width: 768px) {
	.content-container-fixed {
		padding-left: var(--navbar-public-width);	
	}
}

.navbar-fixed-left {
	width: var(--navbar-public-width);
	position: fixed;
	padding-top: var(--navbar-public-padding);
	margin-top: var(--navbar-public-margin);
	top: var(--navbar-public-padding);
    bottom: var(--navbar-public-padding);
    overflow-y: auto;
	min-height: 80%;
}

/*GLOBAL COLOR MODS*/

.my-bg-primary {
	background-color: white;
}

.text-highlighted {
	color: var(--bs-dark) /*--second-color*/
}

.hr-light {
	color: var(--bs-light);
}

footer {
/*	color: var(--bs-light-text-emphasis);*/
  	background-color: var(--bs-dark);
}

.bg-gray-200 {
  	background-color: var(--bs-gray-200);
}

.datepicker table tr td span.active.active {
	background-color: var(--bs-secondary-bg-subtle);	
}

/*.text-primary {*/
/*	color: var(--bs-primary);*/
/*}*/

/*.nav-link {*/
/*  color: rgba(0, 0, 0, 0.55);*/
/*}*/
/*.nav-link:hover, .nav-link:focus {*/
/*  color: rgba(0, 0, 0, 0.7);*/
/*}*/

/*.nav-pills .nav-link.active,*/
/*.nav-pills .show > .nav-link {*/
/*  color: #000;*/
/*  background-color:  #FFD29B;*/
/*}*/

/*.my-accordion-button:not(.collapsed) {*/
/*  color: #FF8C00;*/
/*  background-color: #FFFAF8;*/
/*}*/

/*.my-accordion-button:focus {*/
/*  border-color: #FF8C00;*/
/*  box-shadow: 0 0 0 0.25rem rgba(255, 140, 0, 0.25);*/
/*}*/

/*.my-accordion-item {*/
/*  background-color: #FFF;*/
/*}*/



/*h4::before {
  display: block;
  content: ' ';
  margin-top: -60px;
  height: 60px;
  visibility: hidden;
}*/

/*TABLES*/

.table-fixed {
  table-layout: fixed;
}

.col-icon {
	width: 3rem;
}

.clickable-td:hover {
  cursor: pointer;
  background-color: var(--forth-color);
}

.table-highlighted-column {
	background-color: var(--second-color) !important; 	
}

tr[aria-expanded=true] .bi-plus , tr[data-param-has-children=false] .bi-plus {
   display: none;
}

tr[aria-expanded=false] .bi-dash , tr[data-param-has-children=false] .bi-dash {
   display: none;
}

.bootstrap-table .fixed-table-container .table thead th .th-inner {
	white-space: normal;
}

/* bootstrap-table */

.fixed-table-toolbar {
	display: flex;
  	align-items: center;
  	gap: .5rem;
}

.fixed-table-toolbar .bs-bars {
  	flex: 1 1 auto;
  	min-width: 0;
}

.fixed-table-toolbar .columns {
  	flex: 0 0 auto;
}

.fixed-table-toolbar .bs-bars .form-control {
	width: 15rem;
}

@media (max-width: 576px) {
	
	.fixed-table-toolbar {
 		flex-wrap: wrap;
  	}

  	.fixed-table-toolbar .bs-bars {
    	flex: 1 0 100%;	
  	}
  	
  	.fixed-table-toolbar .bs-bars .form-control {
		width: 100%;
	}

  	.fixed-table-toolbar .columns {
    	width: 100%;
    	display: flex;
    	justify-content: flex-end;
    	gap: .25rem;
  	}
  
}

/* tabulator */

.tabulator {
	font-size: 14px;
}

.tabulator .tabulator-header .tabulator-col .tabulator-col-content .tabulator-col-title {
    white-space: normal;
}

.tabulator.table:not(.thead-light) .tabulator-header .tabulator-col {
	color: var(--bs-dark);	
}

.tabulator.table .tabulator-row {
	color: var(--bs-dark);
}

.tabulator-row.tabulator-row-odd,
.tabulator-row.tabulator-row-even {
  background-color: transparent; /*!important*/
}

@media (hover: hover) and (pointer: fine) {
	.tabulator-row.tabulator-selectable:hover {
		background-color: var(--bs-gray-300);
	}
}

.tabulator-row.tabulator-selected {
	background-color: var(--bs-gray-200);
}

@media (hover: hover) and (pointer: fine) {
	.tabulator-row.tabulator-selected:hover {
    	background-color: var(--bs-gray-300);
  	}
}

.tabulator-row .tabulator-cell.tabulator-editing {
  border: 1px solid var(--second-color);
  outline: none;
  padding: 0;
}

/*PECULIARITIES*/

/*Navbar*/

#navbarPublic {
	min-height: 74px;
}

/*Panels*/

.sidebar-left-collapsible {
    width: var(--collapsible-sidebar-left-width);
    height: 100vh;
    transition: all 0.3s ease;
}

.sidebar-left-collapsible.l-collapsed {
    width: var(--collapsible-sidebar-left-collapsed-width);
}

.sidebar-right-collapsible {
    position: fixed;
    /* position: relative; */
    right: 0;
    top: var(--navbar-height);
    width: var(--collapsible-sidebar-right-width);
    height: calc(100vh - var(--navbar-height));
    z-index: 90;
    transition: all 0.3s ease;
}

.sidebar-right-collapsible.r-collapsed {
    width: var(--collapsible-sidebar-right-collapsed-width);
}

.sidebar-right-collapsible.r-collapsed ~ .content-container-with-right-panel {
    margin-right: var(--collapsible-sidebar-right-collapsed-width);
}

.content-container-with-right-panel {
    margin-right: 0;
    transition: all 0.3s ease;
}

.content-container-with-both-panels {
    transition: all 0.3s ease;
    margin-left: 0;
    margin-right: 0;
}

.l-collapsed ~ .content-container-with-both-panels {
    margin-left: 0;
}

.r-collapsed ~ .content-container-with-both-panels {
    margin-right: 0;
}

@media (min-width: 768px) {
	.content-container-with-both-panels {
		margin-left: var(--collapsible-sidebar-left-width);
	}
	.l-collapsed ~ .content-container-with-both-panels {
	    margin-left: var(--collapsible-sidebar-left-collapsed-width);
	}
}

@media (min-width: 992px) {
	.content-container-with-both-panels {
		margin-right: var(--collapsible-sidebar-right-width);	
	}
	.r-collapsed ~ .content-container-with-both-panels {
	    margin-right: var(--collapsible-sidebar-right-collapsed-width);
	}
	.content-container-with-right-panel {
	    margin-right: var(--collapsible-sidebar-right-width);
	}
	.r-collapsed ~ .content-container-with-right-panel {
	    margin-right: var(--collapsible-sidebar-right-collapsed-width);
	}
}

.left-panel-collapsible-element {
    width: var(--collapsible-sidebar-left-width);
    transition: all 0.3s ease;
}

.left-panel-collapsible-element.l-collapsed {
    width: var(--collapsible-sidebar-left-collapsed-width);
}

.right-panel-collapsible-element {
    width: var(--collapsible-sidebar-right-width);
    transition: all 0.3s ease;
}

.right-panel-collapsible-element.r-collapsed {
    width: var(--collapsible-sidebar-right-collapsed-width);
}

.navbar-brand-text {
    transition: display 0.3s ease;
}

.l-collapsed .navbar-brand-text {
    display: none;
}

.collapsible-panel-toggle-btn-left {
    right: -15px;
    top: 55px;
    color: var(--bs-primary);
    background: white;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    border: none;
    box-shadow: 0 2px 6px var(--bs-gray-200);
    z-index: 100;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.l-collapsed .collapsible-panel-toggle-btn-left {
    transform: rotate(180deg);
    box-shadow: 0 -2px 6px var(--bs-gray-200);
}

.collapsible-panel-toggle-btn-right {
    position: absolute;
    left: -15px;
    top: 55px;
    color: var(--bs-primary);
    background: white;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    border: none;
    box-shadow: 0 2px 6px var(--bs-gray-200);
    z-index: 100;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.r-collapsed .collapsible-panel-toggle-btn-right {
    transform: rotate(180deg);
    box-shadow: 0 -2px 6px var(--bs-gray-200);
}

.l-hide-on-collapse {
	overflow: hidden;
    white-space: nowrap;
    width: auto;
    opacity: 1;
    transition: width 0.3s ease, opacity 0.2s ease;
}

.r-hide-on-collapse {
	overflow: hidden;
    white-space: nowrap;
    width: auto;
    opacity: 1;
    transition: width 0.3s ease, opacity 0.2s ease;
}

.l-collapsed .l-hide-on-collapse {
    width: 0;
    opacity: 0;
}

.r-collapsed .r-hide-on-collapse {
    width: 0;
    opacity: 0;
}

/*Button*/

.btn-email {
	background-color: rgb(16, 141, 255);
	border-color: rgb(16, 141, 255);
}

.btn-email:hover {
  background-color: rgb(1, 120, 230);
  border-color: rgb(0, 115, 215);
}

.btn-email:disabled {
  background-color: var(--bs-gray-400);
  border-color: var(--bs-gray-500);
}

.btn-gray {
	background-color: var(--bs-gray-200);
	border-color: var(--bs-gray-200);
}

.btn-gray:hover {
  background-color: var(--bs-gray-300);
  border-color: var(--bs-gray-300);
}

.btn-gray:disabled {
  background-color: var(--bs-gray-400);
  border-color: var(--bs-gray-500);
}

.rounded-pill-circle-2rem {
	width: 2rem; 
	height: 2rem;
}

.btn-outline-secondary-subtle {
  --bs-btn-hover-bg: var(--bs-secondary-bg-subtle);
  --bs-btn-active-bg: var(--bs-secondary-bg-subtle);
  --bs-btn-disabled-color: var(--bs-secondary-bg-subtle);
}

.btn-secondary-subtle {
  --bs-btn-bg: var(--bs-secondary-bg-subtle);
  --bs-btn-hover-bg: var(--bs-secondary-border-subtle);
  --bs-btn-active-bg: var(--bs-secondary-border-subtle);
  --bs-btn-disabled-color: var(--bs-secondary-bg-subtle);
}

.btn-danger-subtle {
  --bs-btn-bg: var(--bs-danger-bg-subtle);
  --bs-btn-hover-bg: var(--bs-danger-border-subtle);
  --bs-btn-active-bg: var(--bs-danger-border-subtle);
}

.dropdown-toggle-d-none::after {
	display: none;
/* 	margin-left: 0.255em;
	vertical-align: 0.255em;
	content: "";
	border-top: 0.3em solid;
	border-right: 0.3em solid transparent;
	border-bottom: 0;
	border-left: 0.3em solid transparent; */
}

/*Carousel*/
.carousel-marginx-50 {
  margin-left: 50px;
  margin-right: 50px;
}

.carousel-control-prev-outside {
  margin-left: -100px;
}

.carousel-control-next-outside {
  margin-right: -100px;
}

/*Accordion*/

.accordion-light {
  --bs-accordion-btn-icon: url("../images/plus.svg");
  --bs-accordion-btn-active-icon: url("../images/minus.svg");
}

.accordion-item-borderless {
  border: 0;
  box-shadow: none;
}

.accordion-button-light:not(.collapsed) {
  background-color: var(--bs-body-bg);
  box-shadow: none;
}

.accordion-button-light:focus {
  border-color: var(--bs-body-bg);
  box-shadow: none;
}

.accordion-button-left {
  align-items: center;
  text-align: left;	
}

.accordion-button-left:not(.collapsed)::before {
  background-image: var(--bs-accordion-btn-active-icon);
  transform: var(--bs-accordion-btn-icon-transform);
}

.accordion-button-left::before {
  flex-shrink: 0;
  width: var(--bs-accordion-btn-icon-width);
  height: var(--bs-accordion-btn-icon-width);
  margin-right: 2rem;
  content: "";
  background-image: url("../images/plus.svg");
  background-repeat: no-repeat;
  background-size: var(--bs-accordion-btn-icon-width);
  transition: var(--bs-accordion-btn-icon-transition);
}

.accordion-button-left::after {
  display: none;
}

/*Card*/

.card-group-rounded > .card:not(:last-child) {
    border-top-right-radius: var(--bs-border-radius);
    border-bottom-right-radius: var(--bs-border-radius);
}

.card-group-rounded > .card:not(:first-child) {
  	border-top-left-radius: var(--bs-border-radius);
    border-bottom-left-radius: var(--bs-border-radius);
}

.card-body-testimonials {
	height: 300px;
}

.card-enlight-on-hover {
  background-color: var(--bs-card-bg);
  transition:
    background-color 2s;
}

.card-enlight-on-hover:hover {
  background-color: var(--bs-light);
}

.card-border-on-hover {
	border-width:  0px;
	transition:
    	border-color 1s;
}

.card-border-on-hover:hover {
  	border-width:  1px;
  	border-color: var(--bs-primary);
}

/*Map*/

#map {
    height: 400px;
    width: 100%;
}

/*.form-control:focus, .form-select:focus {*/
/*  border-color: rgba(255, 140, 0, 0.5);*/
/*  box-shadow: 0 0 0 0.25rem rgba(255, 140, 0, 0.5);*/
/*}*/



/* .dropdown-menu {
  min-width: 50rem;
} */

/*Background image*/

.timewave-logo-img-background {
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    background-image: url("../images/timewave_green.png");
}

/* FORMS */

.onboarding-workspace {
	min-height: 30rem;
}

.dropdown-menu-onboarding-help {
    max-height: 27rem;
    overflow-y: auto;
}

.form-2-columns {
	min-width: 20rem;
}

.form-3-columns {
	min-width: 20rem;
}

.form-4-columns {
	min-width: 20rem;
}

@media (min-width: 576px) {
	.form-3-columns {
		min-width: 30rem;
	}
	.form-4-columns {
		min-width: 30rem;
	}
}

@media (min-width: 768px) {
	.form-4-columns {
		min-width: 45rem;
	}
}

@media (min-width: 992px) {
	.form-4-columns {
		min-width: 55rem;
	}
}

.dropdown-top-right-menu {
	padding: 15px; 
	min-width: 400px;
}

/*Input*/

.input-inline-edit.disabled:hover {
	background-color: var(--bs-gray-200);
}

/*ANIMATED ELEMENTS*/

.h-slidein {
	animation-duration: 1s;
	animation-name: slidein;
}

@keyframes slidein {
  from {
    margin-top: 100%;
  }

  to {
    margin-top: 0%;
  }
}

.div-fadein {
	animation-duration: 1s;
	animation-name: fadein;
}

@keyframes fadein {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.reveal-air{
  opacity: 0;
  transition: all 1s ease-in 1s;
}

.reveal-air.revealed{
  opacity: 1;
}

.reveal-bottom{
  position: relative;
  transform: translateY(120px);
  opacity: 0;
  transition: all 1s ease-in-out;
}

.reveal-bottom.revealed{
  transform: translateY(0);
  opacity: 1;
}

.reveal-right{
  position: relative;
  transform: translateX(200px);
  opacity: 0;
  transition: all 1s ease-in-out;
}

.reveal-right.revealed{
  transform: translateX(0);
  opacity: 1;
}

.reveal-left{
  position: relative;
  transform: translateX(-200px);
  opacity: 0;
  transition: all 1s ease-in-out;
}

.reveal-left.revealed{
  transform: translateX(0);
  opacity: 1;
}

.outline-pulse{
	outline-width: thick; 
	outline-style: dotted;
	outline-offset: .5rem;
    outline-color: var(--bs-primary);
    border-radius: .3rem;
    animation: pulsate 5000ms ease-out;
    animation-iteration-count: infinite; 
}

@keyframes pulsate {
    0% {outline-color: transparent;}
    40% {outline-color: var(--bs-primary);}
    60% {outline-color: var(--bs-primary);}
    100% {outline-color: transparent;}
}
